<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('name');
            $table->string('firstname');
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->date('bornday');
            $table->string('tel');
            $table->string('place');
            $table->string('hood');
            $table->string('city');
            $table->string('canton');
            $table->string('pref');
            $table->boolean('founder');
            $table->boolean('active');
            $table->boolean('sympa');
            $table->boolean('donater');
            $table->boolean('legater');
            $table->boolean('sponsor');
            $table->boolean('cotisation');
            $table->text('sondage1')->nullable();
            $table->text('sondage2')->nullable();
            $table->text('sondage3')->nullable();
            $table->integer('donation');
            $table->date('suscribeday');
            $table->text('photo')->nullable();
            $table->string('role')->nullable();
            $table->text('formular')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
