<?php

namespace App;

use App\Models\Postfor;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password', 'firstname', 'bornday',
        'hood', 'tel', 'place', 'city', 'village',
        'canton', 'pref', 'founder', 'active', 'sympa', 'donater',
        'legater', 'sponsor', 'cotisation', 'sondage1', 'sondage2',
        'sondage3', 'donation', 'suscribeday', 'role', 'photo', 'formular'
    ];

    protected $dates = ['bornday', 'suscribeday', 'created_at', 'updated_at'];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function isAdmin(){
        return $this->role == 'Admin';
    }

    public function isMember(){
        return $this->role == 'Member';
    }

    public function postfor(){
        return $this->belongsTo(Postfor::class);
    }

    public function age(){
        $bornyear = intval($this->bornday->format('Y'));
        $thisyear = intval(date('Y'));

        return $thisyear - $bornyear;
    }
}
