@extends('intranet.layouts.app')

@section('content')
    <style>
        table td{
            vertical-align: middle !important;
        }
        table i{
            font-size: 18px
        }
    </style>
    <div id="page-wrapper">
        <div class="container-fluid">
            <div class="row bg-title">
                <div class="col-lg-3 col-md-4 col-sm-4 col-xs-12">
                    <h4 class="page-title">{{ $datas->count() }} Membres</h4>
                </div>
                <div class="col-lg-9 col-sm-8 col-md-8 col-xs-12">
                    <ol class="breadcrumb">
                        @if(auth()->user()->isAdmin())
{{--                            <li><a href="{{ route('dashboard') }}">Tableau de bord</a></li>--}}
                        @endif
                            <li class="active">Membres</li>
                    </ol>
                </div>
            </div>
            <!-- /.row -->
            <!-- .row -->
            <div class="row">
                <a href="{{ route('user.create') }}" class="btn btn-primary pull-right">Ajouter un membre</a>
                <br><br><br><br>
                <table id="example" class="table table-striped table-bordered" style="width:100%">
                    <thead>
                        <tr>
                            <th></th>
                            <th>Nom</th>
                            <th>Prénoms</th>
                            <th>Email</th>
                            <th>Age</th>
                            <th>Date d'inscription</th>
                            <th>Cotisation de ce mois</th>
                            <th>Formulaire physique</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                       @foreach($datas as $data)
                           @if(auth()->user()->isAdmin())
                               <tr>
                               <td><img src="{{ url(env('STORAGE_PATH').$data->photo) }}"
                                        class="thumb-md img-circle" alt="img" style="object-fit: cover"></td>
                               <td>{{ $data->name }}</td>
                               <td>{{ $data->firstname }}</td>
                               <td>{{ $data->email }}</td>
                               <td>{{ $data->age() }} ans</td>
                               <td>{{ $data->suscribeday->format('d-m-Y') }}</td>
                               <td>{{ $data->donation }}</td>
                               <td>
                                   <a href="{{ url(env('STORAGE_PATH').$data->formular) }}" target="_blank">
                                       <img src="{{ url(env('STORAGE_PATH').$data->formular) }}"
                                            class="thumb-md img-circle" alt="img" style="object-fit: cover">
                                   </a>
                               </td>
                               <td>
                                   <a href="{{ route('user.edit', $data->id) }}"><i class="far fa-edit"></i></a>
                                   <a href="#" class="deleteLink" data-href="{{ route('user.destroy', $data->id) }}" title="{{ __("Supprimer") }}" data-toggle="modal" data-target="#DeleteModal"><i class="far fa-trash-alt"></i></a>
                               </td>
                           </tr>
                           @endif
                       @endforeach
                    </tbody>
                </table>
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
        <footer class="footer text-center"> 2020 &copy; AddressBook propulsé par <a href="https://sparkcorporation.org" target="_blank">Spark Corporation</a> </footer>
    </div>
    <script>
            $('#example').DataTable();
    </script>
@endsection

@push('scripts')
    <script>
        $('.deleteLink').click(function(){
            $('#deleteBtn').attr('data-href', $(this).attr('data-href'))
        })
        $('#deleteBtn').click(function(){
            window.location = $(this).attr('data-href')
        })
    </script>
@endpush

